## HTTPClient
Class RetryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  HTTPClient.RetryException

All Implemented Interfaces:
  Serializable

class RetryException
extends IOException

Signals that an exception was thrown and caught, and the request was retried.

Field Summary
`(package private) boolean` `conn_reset` was this exception generated because of an abnormal connection reset?
`(package private) IOException` `exception` the original exception which caused the connection to be closed.
`(package private) RetryException` `first` the start of the liked list
`(package private) RetryException` `next` the next exception in the list
`(package private) Request` `request` the request to retry
`(package private) Response` `response` the response associated with the above request
`(package private) boolean` `restart` restart processing?

Fields inherited from class java.lang.Exception
``

Constructor Summary
`RetryException()` Constructs an RetryException with no detail message.
`RetryException(String s)` Constructs an RetryException class with the specified detail message.

Method Summary
`(package private) void` `addToListAfter(RetryException re)` Inserts this exception into the list.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### request

    Request request

  the request to retry

### response

    Response response

  the response associated with the above request

### first

    RetryException first

  the start of the liked list

### next

    RetryException next

  the next exception in the list

### exception

    IOException exception

  the original exception which caused the connection to be closed.

### conn_reset

    boolean conn_reset

  was this exception generated because of an abnormal connection reset?

### restart

    boolean restart

  restart processing?

Constructor Detail

### RetryException

    public RetryException()

  Constructs an RetryException with no detail message. A detail message is a String that describes this particular exception.

### RetryException

    public RetryException(String s)

  Constructs an RetryException class with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the String containing a detail message

Method Detail

### addToListAfter

    void addToListAfter(RetryException re)

  Inserts this exception into the list.

  Parameters:
    `re` - the retry exception after which to add this one